# Uses of Interface
org.opensaml.soap.wsfed.RequestSecurityTokenResponse

Packages that use RequestSecurityTokenResponse
Package
Description
org.opensaml.soap.wsfed.impl
XML Object provider implementations for WS-Federation.

## Uses of RequestSecurityTokenResponse in org.opensaml.soap.wsfed.impl

Classes in org.opensaml.soap.wsfed.impl that implement RequestSecurityTokenResponse
Modifier and Type
Class
Description
`class`
`RequestSecurityTokenResponseImpl`
Implementation of the `RequestSecurityTokenResponse` object.
Methods in org.opensaml.soap.wsfed.impl that return RequestSecurityTokenResponse
Modifier and Type
Method
Description
`RequestSecurityTokenResponse`
RequestSecurityTokenResponseBuilder.`buildObject()`
Builds a WS-Federation object using its default element name.
`RequestSecurityTokenResponse`
RequestSecurityTokenResponseBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.